# No JS YoutubeConverter

A web youtube downloader & converter for youtube videos with no client-sided javascript.

# Dependancies

- ffmpeg
## NodeJS Dependancies

- fluent-ffmpeg
- express
- ytdl-core
- body-parser

# Supported formats

Downloading mp4s & webms will give the fastest download, as they are downloaded directly from youtube. However, if you wish to use a different format, it will automatically convert the video to your preffered format. If there is a format not supported, please open a github issue.

# Supported Websites

Currently only supports youtube. No support for other sites is planned.

# Installation

1. Clone the repository

```bash
git clone https://github.com/Violets-puragtory/YoutubeConverter
cd YoutubeConverter
```

2. Download Dependancies

- <a href="https://github.com/FFmpeg/FFmpeg">ffmpeg</a>
- <a href="https://github.com/nodejs/node">NodeJS</a>

3. Download NodeJS Dependancies

```bash
npm install
```

# Usage

```bash
npm start
```

# Environment Variables

`PORT`= [Preffered Port] (8080 by default)